Skip to content

Get Books Overview

GET
/api/writing/outline/books

Get all book-type outline nodes with aggregated stats and shallow children.

project_id
required
Project Id
string
>= 1 characters

Successful Response

BooksOverviewResponse

List of all book-type outline nodes with aggregation data.

object
books
required
Books
Array<object>
BookOverview

Summary of a book-type outline node for sidebar display and ContentPicker.

object
id
required
Id
string
title
required
Title
string
status
required
Status
string
Allowed values: draft in_progress revision done
wordCount
Wordcount
integer
0
chapterCount
Chaptercount
integer
0
sceneCount
Scenecount
integer
0
children
Children
Array<object>
BookOverviewChild

Shallow child of a book (act/chapter/scene) for ContentPicker drilldown.

object
id
required
Id
string
title
required
Title
string
nodeType
required
Nodetype
string
Allowed values: series book part act chapter scene beat
documentId
Any of:
string
status
Status
string
default: draft
Allowed values: draft in_progress revision done
children
Array<object> recursive

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object